Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tracking.events
Class ClickProductEventValidator

    java.lang.Object
      com.bea.p13n.tracking.clickthrough.AbstractClickEventValidator
          com.bea.commerce.ebusiness.tracking.events.ClickProductEventValidator

All Implemented Interfaces
  ClickEventValidator

    public class ClickProductEventValidator

extends AbstractClickEventValidator

Field Summary

Fields inherited from class com.bea.p13n.tracking.clickthrough.AbstractClickEventValidator
`applicationName, documentId, documentType, exceptionFormatter, req, sessionId, userId`

Constructor Summary
`ClickProductEventValidator()`

Method Summary
`void` | `validateAndFire(HttpServletRequest req)` Fires an event by extracting related information from the `HttpServletRequest`.

Methods inherited from class com.bea.p13n.tracking.clickthrough.AbstractClickEventValidator
`initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClickProductEventValidator

    public ClickProductEventValidator()

Method Detail

### validateAndFire

    public void validateAndFire(HttpServletRequest req)
                         throws InvalidArgumentException

  Fires an event by extracting related information from the `HttpServletRequest`. Expects the caller to handle any invocation errors.

  Parameters
    `req` - The HttpServletRequest.
  Throws
    `InvalidArgumentException` - To signal problems while validating for and firing the event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved